# arm_iir_lattice_instance_f32 Struct Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_iir_lattice_instance_f32 Struct Reference

Instance structure for the floating-point IIR lattice filter.

## Data Fields

uint16_t | numStages
float32_t * | pState
float32_t * | pkCoeffs
float32_t * | pvCoeffs

## Field Documentation

uint16_t arm_iir_lattice_instance_f32::numStages

number of stages in the filter.

Referenced by arm_iir_lattice_f32(), and arm_iir_lattice_init_f32().

float32_t* arm_iir_lattice_instance_f32::pkCoeffs

points to the reflection coefficient array. The array is of length numStages.

Referenced by arm_iir_lattice_f32(), and arm_iir_lattice_init_f32().

float32_t* arm_iir_lattice_instance_f32::pState

points to the state variable array. The array is of length numStages+blockSize.

Referenced by arm_iir_lattice_f32(), and arm_iir_lattice_init_f32().

float32_t* arm_iir_lattice_instance_f32::pvCoeffs

points to the ladder coefficient array. The array is of length numStages+1.

Referenced by arm_iir_lattice_f32(), and arm_iir_lattice_init_f32().